Bug 1221232 - pdf2djvu: insecure temporary file use
Summary: pdf2djvu: insecure temporary file use
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1221233 1221235
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-13 14:30 UTC by Martin Prpič
Modified: 2019-09-29 13:32 UTC (History)
2 users (show)

Fixed In Version: pdf2djvu 0.7.21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:41:09 UTC


Attachments (Terms of Use)

Description Martin Prpič 2015-05-13 14:30:15 UTC
Jakub Wilk reports that pdf2djvu incorrectly creates a temporary file in /tmp and passes the name of the file to c44 (a command-line IW44 encoder). "Unfortunately, it turns out that c44 deletes the output file, and then creates a new one under the same name (without O_EXCL). This opens a race window, during which malicious user could their own file under this name."

Additional information:

http://seclists.org/oss-sec/2015/q2/399

Upstream bug:

https://bitbucket.org/jwilk/pdf2djvu/issue/103

Upstream patch:

https://bitbucket.org/jwilk/pdf2djvu/commits/62c3c48098d6

Comment 1 Martin Prpič 2015-05-13 14:30:46 UTC
Created pdf2djvu tracking bugs for this issue:

Affects: fedora-all [bug 1221233]
Affects: epel-7 [bug 1221235]

Comment 2 Fedora Update System 2015-12-26 23:24:12 UTC
pdf2djvu-0.7.21-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 3 Product Security DevOps Team 2019-06-08 02:41:09 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.